use rocket::{http::Status, serde::json::Json};

use crate::model::register::{Register, RegisterCreate};

#[options("/register/batch")]
pub fn options() -> Status {
    Status::Ok
}

#[post("/register/batch", format = "json", data = "<data>")]
pub async fn insert_all(data: Json<Vec<RegisterCreate>>) -> Status {
    Status::Ok
}

#[get("/register/<dni>")]
pub async fn get_by_dni(dni: i32) -> Json<Vec<Register>> {
    let r1 = Register {
        register_id: 1,
        register_code: 322,
        register_creation_date: "2021-01-01".to_string(),
        register_display_date: "2021-01-01".to_string(),
        register_custom_label: "".to_string(),
        register_person_id: 1,
        register_course_id: 1,
        register_is_preview: false,
    };

    let r2 = Register {
        register_id: 2,
        register_code: 323,
        register_creation_date: "2021-01-01".to_string(),
        register_display_date: "2021-01-03".to_string(),
        register_custom_label: "".to_string(),
        register_person_id: 1,
        register_course_id: 2,
        register_is_preview: false,
    };

    Json(vec![r1, r2])
}
